| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_optimum_pow
GTX Extensions (Experimental)

Integer exponentiation of power functions. More...

## Functions
template<typename genType >
GLM_FUNC_DECL genType | pow2 (genType const &x)
| Returns x raised to the power of 2. More...
template<typename genType >
GLM_FUNC_DECL genType | pow3 (genType const &x)
| Returns x raised to the power of 3. More...
template<typename genType >
GLM_FUNC_DECL genType | pow4 (genType const &x)
| Returns x raised to the power of 4. More...

## Detailed Description

Integer exponentiation of power functions.

<glm/gtx/optimum_pow.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL genType glm::gtx::pow2 | ( | genType const & | x | ) |

Returns x raised to the power of 2.

See also
  GLM_GTX_optimum_pow

GLM_FUNC_DECL genType glm::gtx::pow3 | ( | genType const & | x | ) |

Returns x raised to the power of 3.

See also
  GLM_GTX_optimum_pow

GLM_FUNC_DECL genType glm::gtx::pow4 | ( | genType const & | x | ) |

Returns x raised to the power of 4.

See also
  GLM_GTX_optimum_pow